<style>
  .dropdown:hover .dropdown-menu {
    display: block;
  }

  .dropdown-menu {
    margin-top: 0;
  }
</style>
<nav class="navbar navbar-expand-lg navbar-light bg-light header">
  <div  class="container-fluid">
    <a (click)="preventReloadingPage($event)" [routerLink]="''" class="navbar-brand">Udemi</a>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent"
      aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav me-auto mb-2 mb-lg-0">
        <li class="nav-item">
          <a class="nav-link active" aria-current="page" [routerLink]="''">Accueil</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="#">Liens</a>
        </li>
        <!--  <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
              Dropdown
            </a>
            <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
              <li><a class="dropdown-item" href="#">Action</a></li>
              <li><a class="dropdown-item" href="#">Another action</a></li>
              <li><hr class="dropdown-divider"></li>
              <li><a class="dropdown-item" href="#">Something else here</a></li>
            </ul>
          </li> -->
        <li class="nav-item">
          <a class="nav-link" [routerLink]="'test'" aria-disabled="true">test</a>
        </li>
      </ul>
     
      <div  class="position-relative">

        
        
        
        <div class="dropdown">
          <span  *ngIf="(cartArticles$ | async).length != 0" class="position-absolute top-0 start-100 translate-middle badge rounded-pill bg-danger">
            {{(cartArticles$ | async).length}}
            <span class="visually-hidden">unread messages</span>
          </span>
            <fa-icon class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"
             (click)="routeToCart()" class="cart-icon fa-xl " [icon]="cartIcon"></fa-icon>
          
          <div *ngIf="(cartArticles$ | async).length != 0" class=" cart-menu dropdown-menu" aria-labelledby="dropdownMenuLink">
            <!--  -->

            <ng-container *ngFor="let cartArticle of (cartArticles$ | async)">

              <mat-card style="border-bottom: solid rgb(207, 204, 204) 0.5px;" class="example-card">
                <mat-card-header>
                  <mat-card-title-group>
                    <img mat-card-sm-image [src]="cartArticle.thumbnailLocation" >
                    <mat-card-title>{{cartArticle.name}}</mat-card-title>
                    <mat-card-subtitle>{{cartArticle.description}}</mat-card-subtitle>
                  </mat-card-title-group>
                
                </mat-card-header>
              </mat-card>

            </ng-container>
            <mat-card class="total-card">
              <mat-card-header>
                <mat-card-title-group class="total-group-container">
                  <div class="total-container">
                    <mat-card-subtitle class="total">Total: </mat-card-subtitle>
                    <mat-card-subtitle style="font-size: 1em; color: black; margin-top: 2px;">{{(total$ | async) | currency:'EUR'}}</mat-card-subtitle>
                  </div>
                  <button   (click)="routeToCart()" style="    margin-left: 4em;" type="button" class="btn btn-dark">Accéder au panier</button>
                  
                </mat-card-title-group>
              </mat-card-header>
            </mat-card>


          </div>
        </div>
        
       
       <!-- 
        <mat-card class="example-card">
          <mat-card-header>
            <mat-card-title-group>
              <mat-card-title>Shiba Inu</mat-card-title>
              <mat-card-subtitle>Small</mat-card-subtitle>
              <img mat-card-sm-image src="https://material.angular.io/assets/img/examples/shiba2.jpg" >
            </mat-card-title-group>
          </mat-card-header>
          <mat-card-content>
            gygyygygyyyyyyyyyyyyyyyyyyyyyyyyyyyy
          </mat-card-content>
        </mat-card>
 -->
      </div>
   

      <form class="d-flex">


        <div (click)="preventReloadingPage($event)" class="nav-item dropdown">
          <a class="user-link" href="" data-toggle="dropdown">
            <fa-icon style="margin-bottom: 2em;" class="user-icon fa-xl" [icon]="userIcon"></fa-icon>
            <div class="dropdown-menu">
              <a [routerLink]="'connexion'"  *ngIf="!(user$ | async)"  class="dropdown-item">Connexion</a>
              <a [routerLink]="'connexion/inscription'" *ngIf="!(user$ | async)"  class="dropdown-item">S'inscrire</a>
             <a [routerLink]="'apprentissage'" *ngIf="user$ | async" class="dropdown-item">Mon apprentissage</a>
              <a [routerLink]="'panier'" *ngIf="user$ | async" class="dropdown-item">Mon panier</a>
              <a [routerLink]="'historique'" *ngIf="user$ | async" class="dropdown-item">Historique des achats</a>
              <li *ngIf="user$ | async">
                <hr class="dropdown-divider">
              </li>
              <a [routerLink]="''" (click)="logout()" *ngIf="user$ | async" class="dropdown-item">Deconnexion</a>
              <a [routerLink]="'connexion/update-profil'" *ngIf="user$ | async" class="dropdown-item">Modifier le profil</a> 
            </div>
          </a>
        </div>
        

        <!--   <div class="nav-item dropdown">
              <a href="#" class="nav-link dropdown-toggle" data-toggle="dropdown">Messages</a>
              <div class="dropdown-menu">
                  <a href="#" class="dropdown-item">Inbox</a>
                  <a href="#" class="dropdown-item">Sent</a>
                  <a href="#" class="dropdown-item">Drafts</a>
              </div>
          </div> -->

        <input class="form-control me-2" type="search" placeholder="Rechercher" aria-label="Search">
        <button class="btn btn-outline-success ">
          <fa-icon class="fa-xl" [icon]="magnifyingGlassIcon"></fa-icon>
        </button>


      </form>
    </div>
  </div>
</nav>

<script>
  $(document).ready(function () {
    $(".dropdown").hover(function () {
      var dropdownMenu = $(this).children(".dropdown-menu");
      if (dropdownMenu.is(":visible")) {
        dropdownMenu.parent().toggleClass("open");
      }
    });
  });     
</script>